Sava
Dragos 
334CA

#include <avr/io.h>
#include <avr/interrupt.h>
#define F_CPU 16000000
#include <util/delay.h>
#include <string.h>
#include <stdio.h>

#include "lcd.h"
#include "keyboard.h"
 
char bucket[7][16] = {"aspirina", "mancare", "calculator", "iarna","random","lingura","proiect"};

void playTheGame()
{
	//ghicit va contine starea curenta a cuvantului 
  //ce trebuie ghicit

  int key = -1;
  int oldkey = -1;
  int count = 0;
  int lives = 5;

  char cuvant[16], ghicit[16], uline[] = "________________";
  char lives_bar[] = "Lives: *****";
  char c;
  int found;
  char *pos;
   
  memcpy(cuvant, bucket[rand() % 7], 16);
   
   strncpy(ghicit, uline, strlen(cuvant));
   while (lives > 0) {
      if (count > 3)
	 count = 1;
      LCD_println(lives_bar, ghicit);
      key = getkey();
      if (key != -1) {
	 if (oldkey != key)
	    count = 1;
	 else {
	    count++;
	 }
      } else {

	 c = getLetter(oldkey, count);
	 found = 0;
	 pos = NULL;

	 do{
  	 pos = strchr(cuvant, c);
  	 ghicit[pos - cuvant] = c;
  	 if (pos)
  	    found = 1;
	 }while(pos);
      }
      if (strchr(ghicit, '_') == 0) {
	 LCD_println('Victory!', ':)');
	 return;
      }
      if (!found)
	 lives--;
      _delay_ms(600);
   }
   
   LCD_println("Game Over!", cuvant);
}


//menu?
//TBA

void startGame()
{

  int key = -1;

  while(1){
    
    key = getkey();
         
    if (key > -1)
    	PORTD |= (1 << PD7);
    else
      PORTD &= ~(1 << PD7);
         
  //apasa tasta 2 pentru a incepe
    if (key == 2){
      playTheGame(category);
      _delay_ms(3000);
    	key = -1;
    }

  }
     
}



int main()
{
   DDRD |= (1 << PD7); 
   
   LCD_init();
   LCD_waitNotBusy();

   startGame();
   while(1);
   
   return 0;
}
